function [sample] = initializeSample(args)

    arguments
        args.type char {mustBeMember(args.type,{'none', 'cylindrical'})} = 'none'
        args.H_offset (1,1) double {mustBeNumeric} = 0 % Vertical offset [m]
        args.H (1,1) double {mustBeNumeric, mustBePositive} = 200e-3 % Height [m]
        args.R (1,1) double {mustBeNumeric, mustBePositive} = 110e-3 % Radius [m]
        args.m (1,1) double {mustBeNumeric, mustBePositive} = 1 % Mass [kg]
    end

    sample = struct();

    switch args.type
      case 'none'
        sample.type = 0;
        sample.m = 0;
      case 'cylindrical'
        sample.type = 1;

        sample.H_offset = args.H_offset;

        sample.H = args.H;
        sample.R = args.R;
        sample.m = args.m;
    end
end
